Bug 187287 - server list box lacks 'Connect _not_ in new tab' button
server list box lacks 'Connect _not_ in new tab' button
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature, Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 15:09 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-21 00:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-03-29 15:09:18 EST
Since upgrading to FC5, the 'Connect in new tab' button seems to be missing from
the server list dialog box.
Comment 1 Kevin Kofler 2007-06-02 14:23:43 EDT
This is an intentional change upstream, the connection now automatically 
happens in a new tab.
Comment 2 David Woodhouse 2007-06-02 18:04:31 EDT
Ew, yes, I'd come to that unfortunate conclusion. Fixing summary accordingly.
Comment 3 Kevin Kofler 2007-06-02 18:07:16 EDT
Uh, I may be missing something, but why would you want to replace the server 
you're currently connected to with another and why doesn't simply closing the 
tab for the "old" server do the job in such a case?
Comment 4 David Woodhouse 2007-06-03 15:19:29 EDT
Channel tabs have history. That history is lost if you close them and open a new
one. (Admittedly, it's also lost or at least completely mangled if the
three-year-old bug #123335 kicks in when you reconnect, but at least that
doesn't happen _every_ time.)

The 'new' server also ends up on the right-hand-side, in a different place to
where the original channel tabs for that server were. I haven't worked out how
to move it -- I can move channel tabs _within_ the block belonging to each
server, but I can't move the whole group of tabs belonging to one server, en
masse, into a different position w.r.t. other servers.
Comment 5 Kevin Kofler 2007-07-19 07:16:17 EDT
Look, there's no way we're going to implement this feature in Fedora, even if 
some form of it used to be in old versions.

I CCed upstream on this one. Zed, what should we do with this one? File a RFE 
at your upstream bug tracker and then close this one as UPSTREAM? Just close it 
as NOTABUG?
Comment 6 Peter Zelezny 2007-07-19 07:33:54 EDT
*shrug* There's no room in the network-list window to put in such a button and
it looks ugly anyway. Just trying to design a "good" UI, the pain of progress.

If you click Connect and you're already connected, it'll open a new tab(s). If
you're not connected, it'll reconnect in the already open ones. Isn't this good
enough?

I'm pretty happy with the way it is, who really wants a 3rd button in that window?
Comment 7 Kevin Kofler 2007-07-19 07:38:06 EDT
I personally also think the current UI is fine.

Note You need to log in before you can comment on or make changes to this bug.